// RequestNameDlg.cpp : implementation file
//

#include "stdafx.h"
#include "INKS.h"
#include "RequestNameDlg.h"


// CRequestNameDlg dialog

IMPLEMENT_DYNAMIC(CRequestNameDlg, CDialog)

CRequestNameDlg::CRequestNameDlg(CString strTextLabel, CString strCaption, CWnd* pParent /*=NULL*/)
	: CDialog(CRequestNameDlg::IDD, pParent), m_strLabel(strTextLabel), m_strCaption(strCaption)
{

}

CRequestNameDlg::~CRequestNameDlg()
{

}

BOOL CRequestNameDlg::OnInitDialog()
{
	CEdit *pEdit = (CEdit*)GetDlgItem(IDC_REQINPUT);
	pEdit->SetFocus();
	m_pLabel = (CStatic*)GetDlgItem(IDC_REQSTATIC);
	m_pLabel->SetWindowTextW(m_strLabel);
	SetWindowTextW(m_strCaption);
	return FALSE;//CDialog::OnInitDialog();
}

void CRequestNameDlg::DoDataExchange(CDataExchange* pDX)
{
	DDX_Text(pDX, IDC_REQINPUT, m_strInput);
	CDialog::DoDataExchange(pDX);
}


BEGIN_MESSAGE_MAP(CRequestNameDlg, CDialog)
	ON_WM_CREATE()
END_MESSAGE_MAP()


// CRequestNameDlg message handlers
